package com.kingdee.eas.custom.handover;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHandoverEntryFactory
{
    private WorkHandoverEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.handover.IWorkHandoverEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandoverEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("00E0263E") ,com.kingdee.eas.custom.handover.IWorkHandoverEntry.class);
    }
    
    public static com.kingdee.eas.custom.handover.IWorkHandoverEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandoverEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("00E0263E") ,com.kingdee.eas.custom.handover.IWorkHandoverEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.handover.IWorkHandoverEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandoverEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("00E0263E"));
    }
    public static com.kingdee.eas.custom.handover.IWorkHandoverEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandoverEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("00E0263E"));
    }
}